
#ifndef ERROR_H
#define ERROR_H

#include <stdarg.h>
#include <stdio.h>

class Error
{
	char str[1024];
public:
	Error(const char *format, ...)
	{
		va_list ap;
		va_start(ap, format);
		vsprintf(str, format, ap);
		va_end(ap);
	}

	const char *toString()
	{
		return str;
	}
};

#endif
